<?xml version="1.0" encoding="UTF-8"?>
<robot generator="Robot 5.0 (Python 3.10.4 on win32)" generated="20220520 12:28:34.873" rpa="false" schemaversion="3">
<suite id="s1" name="15 Crear Usuario Cambio De Estado" source="C:\Users\SERGIO.GUTIERREZ\PycharmProjects\pythonProject\Test_Gestiona\15_crear_usuario_cambio_de_estado.robot">
<test id="s1-t1" name="caso 1" line="11">
<kw name="Open Browser" library="SeleniumLibrary">
<arg>${url}</arg>
<arg>${navegador}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<msg timestamp="20220520 12:28:35.194" level="INFO">Opening browser 'chrome' to base url 'http://localhost:4200/#/login'.</msg>
<status status="PASS" starttime="20220520 12:28:35.194" endtime="20220520 12:28:37.753"/>
</kw>
<kw name="Maximize Browser Window" library="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" starttime="20220520 12:28:37.754" endtime="20220520 12:28:37.883"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:28:39.385" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:28:37.884" endtime="20220520 12:28:39.385"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>//input[contains(@formcontrolname,'usuario')]</arg>
<arg>dmadmin</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20220520 12:28:39.386" level="INFO">Typing text 'dmadmin' into text field '//input[contains(@formcontrolname,'usuario')]'.</msg>
<status status="PASS" starttime="20220520 12:28:39.386" endtime="20220520 12:28:39.525"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:28:41.027" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:28:39.526" endtime="20220520 12:28:41.027"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>//input[contains(@formcontrolname,'contrasena')]</arg>
<arg>gestiona</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20220520 12:28:41.028" level="INFO">Typing text 'gestiona' into text field '//input[contains(@formcontrolname,'contrasena')]'.</msg>
<status status="PASS" starttime="20220520 12:28:41.027" endtime="20220520 12:28:41.135"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:28:42.636" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:28:41.135" endtime="20220520 12:28:42.636"/>
</kw>
<kw name="Capture Page Screenshot" library="SeleniumLibrary">
<arg>Login_seccion_crear_usuario.png</arg>
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg timestamp="20220520 12:28:43.028" level="INFO" html="true">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="Login_seccion_crear_usuario.png"&gt;&lt;img src="Login_seccion_crear_usuario.png" width="800px"&gt;&lt;/a&gt;</msg>
<status status="PASS" starttime="20220520 12:28:42.637" endtime="20220520 12:28:43.028"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>//span[contains(.,'Iniciar sesión')]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20220520 12:28:43.029" level="INFO">Clicking element '//span[contains(.,'Iniciar sesión')]'.</msg>
<status status="PASS" starttime="20220520 12:28:43.029" endtime="20220520 12:28:43.102"/>
</kw>
<doc>Prueba de Login</doc>
<tag>prueba_1</tag>
<status status="PASS" starttime="20220520 12:28:35.193" endtime="20220520 12:28:43.103"/>
</test>
<test id="s1-t2" name="caso 2" line="24">
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:28:44.605" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:28:43.105" endtime="20220520 12:28:44.605"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>//span[contains(@class,'p-menuitem-icon mi mi-shield ng-star-inserted')]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20220520 12:28:44.606" level="INFO">Clicking element '//span[contains(@class,'p-menuitem-icon mi mi-shield ng-star-inserted')]'.</msg>
<status status="PASS" starttime="20220520 12:28:44.606" endtime="20220520 12:28:44.689"/>
</kw>
<kw name="Capture Page Screenshot" library="SeleniumLibrary">
<arg>menuitem_Usuarios_crear_usuario.png</arg>
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg timestamp="20220520 12:28:44.982" level="INFO" html="true">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="menuitem_Usuarios_crear_usuario.png"&gt;&lt;img src="menuitem_Usuarios_crear_usuario.png" width="800px"&gt;&lt;/a&gt;</msg>
<status status="PASS" starttime="20220520 12:28:44.689" endtime="20220520 12:28:44.982"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:28:46.484" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:28:44.983" endtime="20220520 12:28:46.484"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>//a[@role='menuitem'][contains(.,'Usuarios')]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20220520 12:28:46.485" level="INFO">Clicking element '//a[@role='menuitem'][contains(.,'Usuarios')]'.</msg>
<status status="PASS" starttime="20220520 12:28:46.485" endtime="20220520 12:28:46.615"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:28:48.116" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:28:46.616" endtime="20220520 12:28:48.116"/>
</kw>
<kw name="Capture Page Screenshot" library="SeleniumLibrary">
<arg>pantalla_Usuarios_crear_usuario.png</arg>
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg timestamp="20220520 12:28:48.366" level="INFO" html="true">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="pantalla_Usuarios_crear_usuario.png"&gt;&lt;img src="pantalla_Usuarios_crear_usuario.png" width="800px"&gt;&lt;/a&gt;</msg>
<status status="PASS" starttime="20220520 12:28:48.116" endtime="20220520 12:28:48.366"/>
</kw>
<doc>Busqueda de Usuario</doc>
<tag>prueba_2</tag>
<status status="PASS" starttime="20220520 12:28:43.104" endtime="20220520 12:28:48.367"/>
</test>
<test id="s1-t3" name="caso 3" line="36">
<kw name="Input Text" library="SeleniumLibrary">
<arg>//input[contains(@placeholder,'Busca usuarios ingresando una palabra clave')]</arg>
<arg>gestiona36@gmail.com</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20220520 12:28:48.370" level="INFO">Typing text 'gestiona36@gmail.com' into text field '//input[contains(@placeholder,'Busca usuarios ingresando una palabra clave')]'.</msg>
<status status="PASS" starttime="20220520 12:28:48.370" endtime="20220520 12:28:48.515"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:28:50.018" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:28:48.516" endtime="20220520 12:28:50.018"/>
</kw>
<kw name="Capture Page Screenshot" library="SeleniumLibrary">
<arg>usuari_estado.png</arg>
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg timestamp="20220520 12:28:50.251" level="INFO" html="true">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="usuari_estado.png"&gt;&lt;img src="usuari_estado.png" width="800px"&gt;&lt;/a&gt;</msg>
<status status="PASS" starttime="20220520 12:28:50.018" endtime="20220520 12:28:50.251"/>
</kw>
<doc>Buscar Usuario</doc>
<tag>prueba_3</tag>
<status status="PASS" starttime="20220520 12:28:48.369" endtime="20220520 12:28:50.252"/>
</test>
<test id="s1-t4" name="caso 4" line="45">
<kw name="Sleep" library="BuiltIn">
<arg>5</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:28:55.256" level="INFO">Slept 5 seconds</msg>
<status status="PASS" starttime="20220520 12:28:50.254" endtime="20220520 12:28:55.256"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>//span[@class="p-button-icon pi pi-power-off"]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20220520 12:28:55.256" level="INFO">Clicking element '//span[@class="p-button-icon pi pi-power-off"]'.</msg>
<status status="PASS" starttime="20220520 12:28:55.256" endtime="20220520 12:28:55.346"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>1</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:28:56.348" level="INFO">Slept 1 second</msg>
<status status="PASS" starttime="20220520 12:28:55.347" endtime="20220520 12:28:56.348"/>
</kw>
<kw name="Capture Page Screenshot" library="SeleniumLibrary">
<arg>crear_usuario_cerrar_seccion.png</arg>
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg timestamp="20220520 12:28:56.645" level="INFO" html="true">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="crear_usuario_cerrar_seccion.png"&gt;&lt;img src="crear_usuario_cerrar_seccion.png" width="800px"&gt;&lt;/a&gt;</msg>
<status status="PASS" starttime="20220520 12:28:56.349" endtime="20220520 12:28:56.645"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>1</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:28:57.646" level="INFO">Slept 1 second</msg>
<status status="PASS" starttime="20220520 12:28:56.646" endtime="20220520 12:28:57.646"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>xpath=(//span[@class="p-button-label"])[4]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20220520 12:28:57.647" level="INFO">Clicking element 'xpath=(//span[@class="p-button-label"])[4]'.</msg>
<status status="PASS" starttime="20220520 12:28:57.647" endtime="20220520 12:28:57.717"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>1</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:28:58.719" level="INFO">Slept 1 second</msg>
<status status="PASS" starttime="20220520 12:28:57.718" endtime="20220520 12:28:58.719"/>
</kw>
<doc>cerrar sección Usuario</doc>
<tag>prueba_4</tag>
<status status="PASS" starttime="20220520 12:28:50.254" endtime="20220520 12:28:58.720"/>
</test>
<test id="s1-t5" name="caso 5" line="58">
<kw name="Open Browser" library="SeleniumLibrary">
<arg>${url}</arg>
<arg>${navegador}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<msg timestamp="20220520 12:28:58.723" level="INFO">Opening browser 'chrome' to base url 'http://localhost:4200/#/login'.</msg>
<status status="PASS" starttime="20220520 12:28:58.723" endtime="20220520 12:29:01.166"/>
</kw>
<kw name="Maximize Browser Window" library="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" starttime="20220520 12:29:01.167" endtime="20220520 12:29:01.320"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:02.821" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:01.320" endtime="20220520 12:29:02.821"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:04.323" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:02.821" endtime="20220520 12:29:04.323"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>//input[contains(@formcontrolname,'usuario')]</arg>
<arg>gestiona36</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:04.324" level="INFO">Typing text 'gestiona36' into text field '//input[contains(@formcontrolname,'usuario')]'.</msg>
<status status="PASS" starttime="20220520 12:29:04.324" endtime="20220520 12:29:04.452"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:05.954" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:04.453" endtime="20220520 12:29:05.954"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>//input[contains(@formcontrolname,'contrasena')]</arg>
<arg>gestiona</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:05.955" level="INFO">Typing text 'gestiona' into text field '//input[contains(@formcontrolname,'contrasena')]'.</msg>
<status status="PASS" starttime="20220520 12:29:05.955" endtime="20220520 12:29:06.063"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:07.566" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:06.064" endtime="20220520 12:29:07.566"/>
</kw>
<kw name="Capture Page Screenshot" library="SeleniumLibrary">
<arg>Login_seccion_crear_usuario.png</arg>
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg timestamp="20220520 12:29:07.964" level="INFO" html="true">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="Login_seccion_crear_usuario.png"&gt;&lt;img src="Login_seccion_crear_usuario.png" width="800px"&gt;&lt;/a&gt;</msg>
<status status="PASS" starttime="20220520 12:29:07.566" endtime="20220520 12:29:07.964"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>//span[contains(.,'Iniciar sesión')]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:07.965" level="INFO">Clicking element '//span[contains(.,'Iniciar sesión')]'.</msg>
<status status="PASS" starttime="20220520 12:29:07.965" endtime="20220520 12:29:08.029"/>
</kw>
<doc>Prueba de Login</doc>
<tag>prueba_5</tag>
<status status="PASS" starttime="20220520 12:28:58.722" endtime="20220520 12:29:08.030"/>
</test>
<test id="s1-t6" name="caso 6" line="74">
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:09.534" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:08.032" endtime="20220520 12:29:09.534"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>//span[@class="p-button-label"]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:09.535" level="INFO">Clicking element '//span[@class="p-button-label"]'.</msg>
<status status="PASS" starttime="20220520 12:29:09.535" endtime="20220520 12:29:09.606"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:11.109" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:09.608" endtime="20220520 12:29:11.109"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>//span[@class="p-menuitem-text ng-star-inserted"]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:11.110" level="INFO">Clicking element '//span[@class="p-menuitem-text ng-star-inserted"]'.</msg>
<status status="PASS" starttime="20220520 12:29:11.110" endtime="20220520 12:29:11.192"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:12.693" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:11.193" endtime="20220520 12:29:12.693"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>(//input[contains(@type,'password')])[1]</arg>
<arg>gestiona</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:12.694" level="INFO">Typing text 'gestiona' into text field '(//input[contains(@type,'password')])[1]'.</msg>
<status status="PASS" starttime="20220520 12:29:12.694" endtime="20220520 12:29:12.828"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:14.330" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:12.829" endtime="20220520 12:29:14.330"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>(//input[contains(@type,'password')])[2]</arg>
<arg>gestiona1</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:14.331" level="INFO">Typing text 'gestiona1' into text field '(//input[contains(@type,'password')])[2]'.</msg>
<status status="PASS" starttime="20220520 12:29:14.331" endtime="20220520 12:29:14.483"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:15.984" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:14.484" endtime="20220520 12:29:15.984"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>(//input[contains(@type,'password')])[3]</arg>
<arg>gestiona1</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:15.986" level="INFO">Typing text 'gestiona1' into text field '(//input[contains(@type,'password')])[3]'.</msg>
<status status="PASS" starttime="20220520 12:29:15.985" endtime="20220520 12:29:16.135"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:17.639" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:16.136" endtime="20220520 12:29:17.639"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>xpath=(//span[@class="p-button-label"])[4]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:17.640" level="INFO">Clicking element 'xpath=(//span[@class="p-button-label"])[4]'.</msg>
<status status="PASS" starttime="20220520 12:29:17.639" endtime="20220520 12:29:17.700"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:19.202" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:17.701" endtime="20220520 12:29:19.202"/>
</kw>
<doc>Cambio contraseña</doc>
<tag>prueba_6</tag>
<status status="PASS" starttime="20220520 12:29:08.031" endtime="20220520 12:29:19.204"/>
</test>
<test id="s1-t7" name="caso 7" line="92">
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:20.707" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:19.207" endtime="20220520 12:29:20.707"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>//span[contains(@class,'p-menuitem-icon mi mi-shield ng-star-inserted')]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:20.708" level="INFO">Clicking element '//span[contains(@class,'p-menuitem-icon mi mi-shield ng-star-inserted')]'.</msg>
<status status="PASS" starttime="20220520 12:29:20.708" endtime="20220520 12:29:20.800"/>
</kw>
<kw name="Capture Page Screenshot" library="SeleniumLibrary">
<arg>menuitem_Usuarios_crear_usuario.png</arg>
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg timestamp="20220520 12:29:21.049" level="INFO" html="true">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="menuitem_Usuarios_crear_usuario.png"&gt;&lt;img src="menuitem_Usuarios_crear_usuario.png" width="800px"&gt;&lt;/a&gt;</msg>
<status status="PASS" starttime="20220520 12:29:20.800" endtime="20220520 12:29:21.049"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:22.552" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:21.050" endtime="20220520 12:29:22.552"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>//a[@role='menuitem'][contains(.,'Usuarios')]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:22.553" level="INFO">Clicking element '//a[@role='menuitem'][contains(.,'Usuarios')]'.</msg>
<status status="PASS" starttime="20220520 12:29:22.553" endtime="20220520 12:29:22.678"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:24.179" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:22.679" endtime="20220520 12:29:24.179"/>
</kw>
<kw name="Capture Page Screenshot" library="SeleniumLibrary">
<arg>pantalla_Usuarios_crear_usuario.png</arg>
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg timestamp="20220520 12:29:24.436" level="INFO" html="true">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="pantalla_Usuarios_crear_usuario.png"&gt;&lt;img src="pantalla_Usuarios_crear_usuario.png" width="800px"&gt;&lt;/a&gt;</msg>
<status status="PASS" starttime="20220520 12:29:24.180" endtime="20220520 12:29:24.436"/>
</kw>
<doc>Busqueda de Usuario</doc>
<tag>prueba_7</tag>
<status status="PASS" starttime="20220520 12:29:19.206" endtime="20220520 12:29:24.437"/>
</test>
<test id="s1-t8" name="caso 8" line="104">
<kw name="Input Text" library="SeleniumLibrary">
<arg>//input[contains(@placeholder,'Busca usuarios ingresando una palabra clave')]</arg>
<arg>gestiona36@gmail.com</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:24.439" level="INFO">Typing text 'gestiona36@gmail.com' into text field '//input[contains(@placeholder,'Busca usuarios ingresando una palabra clave')]'.</msg>
<status status="PASS" starttime="20220520 12:29:24.439" endtime="20220520 12:29:24.585"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>${SLEEP}</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:26.087" level="INFO">Slept 1 second 500 milliseconds</msg>
<status status="PASS" starttime="20220520 12:29:24.586" endtime="20220520 12:29:26.087"/>
</kw>
<kw name="Capture Page Screenshot" library="SeleniumLibrary">
<arg>usuari_estado.png</arg>
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg timestamp="20220520 12:29:26.312" level="INFO" html="true">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="usuari_estado.png"&gt;&lt;img src="usuari_estado.png" width="800px"&gt;&lt;/a&gt;</msg>
<status status="PASS" starttime="20220520 12:29:26.088" endtime="20220520 12:29:26.312"/>
</kw>
<doc>Buscar Usuario</doc>
<tag>prueba_8</tag>
<status status="PASS" starttime="20220520 12:29:24.438" endtime="20220520 12:29:26.313"/>
</test>
<test id="s1-t9" name="caso 9" line="112">
<kw name="Sleep" library="BuiltIn">
<arg>5</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:31.319" level="INFO">Slept 5 seconds</msg>
<status status="PASS" starttime="20220520 12:29:26.316" endtime="20220520 12:29:31.319"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>//span[@class="p-button-icon pi pi-power-off"]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:31.320" level="INFO">Clicking element '//span[@class="p-button-icon pi pi-power-off"]'.</msg>
<status status="PASS" starttime="20220520 12:29:31.320" endtime="20220520 12:29:31.405"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>1</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:32.407" level="INFO">Slept 1 second</msg>
<status status="PASS" starttime="20220520 12:29:31.406" endtime="20220520 12:29:32.407"/>
</kw>
<kw name="Capture Page Screenshot" library="SeleniumLibrary">
<arg>cambio_contra_cerrar_seccion_1.png</arg>
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg timestamp="20220520 12:29:32.618" level="INFO" html="true">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="cambio_contra_cerrar_seccion_1.png"&gt;&lt;img src="cambio_contra_cerrar_seccion_1.png" width="800px"&gt;&lt;/a&gt;</msg>
<status status="PASS" starttime="20220520 12:29:32.408" endtime="20220520 12:29:32.618"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>1</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:33.620" level="INFO">Slept 1 second</msg>
<status status="PASS" starttime="20220520 12:29:32.619" endtime="20220520 12:29:33.620"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>xpath=(//span[@class="p-button-label"])[4]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20220520 12:29:33.621" level="INFO">Clicking element 'xpath=(//span[@class="p-button-label"])[4]'.</msg>
<status status="PASS" starttime="20220520 12:29:33.620" endtime="20220520 12:29:33.700"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>1</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20220520 12:29:34.702" level="INFO">Slept 1 second</msg>
<status status="PASS" starttime="20220520 12:29:33.701" endtime="20220520 12:29:34.702"/>
</kw>
<kw name="Close Browser" library="SeleniumLibrary">
<doc>Closes the current browser.</doc>
<status status="PASS" starttime="20220520 12:29:34.702" endtime="20220520 12:29:36.869"/>
</kw>
<doc>cerrar sección cambio contraseña</doc>
<tag>prueba_9</tag>
<status status="PASS" starttime="20220520 12:29:26.315" endtime="20220520 12:29:36.869"/>
</test>
<doc>Proyecto de pruebas para Gestiona</doc>
<status status="PASS" starttime="20220520 12:28:34.875" endtime="20220520 12:29:36.871"/>
</suite>
<statistics>
<total>
<stat pass="9" fail="0" skip="0">All Tests</stat>
</total>
<tag>
<stat pass="1" fail="0" skip="0">prueba_1</stat>
<stat pass="1" fail="0" skip="0">prueba_2</stat>
<stat pass="1" fail="0" skip="0">prueba_3</stat>
<stat pass="1" fail="0" skip="0">prueba_4</stat>
<stat pass="1" fail="0" skip="0">prueba_5</stat>
<stat pass="1" fail="0" skip="0">prueba_6</stat>
<stat pass="1" fail="0" skip="0">prueba_7</stat>
<stat pass="1" fail="0" skip="0">prueba_8</stat>
<stat pass="1" fail="0" skip="0">prueba_9</stat>
</tag>
<suite>
<stat pass="9" fail="0" skip="0" id="s1" name="15 Crear Usuario Cambio De Estado">15 Crear Usuario Cambio De Estado</stat>
</suite>
</statistics>
<errors>
</errors>
</robot>
